Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# iblines

## Name

iblines -- monitor bus lines (board)

## Synopsis

    #include <gpib/ib.h>

``int iblines`(int ud, short *line_status);`

## Description

iblines() is used to obtain the status of the control and handshaking bus lines of the bus. The board used to monitor the bus is specified by the `ud` argument, and the status of the various bus lines are written to the location specified by `line_status`.

Some older chips are not capable of reporting the status of the bus lines, so each line has two corresponding bits in `line_status`. One bit indicates if the board can monitor the line, and the other bit indicates the line's state. The meaning of the `line_status` bits are as follows:

Table 1. line status bits

constant | value | description
--- | --- | ---
ValidDAV | 0x1 | The BusDAV bit is valid.
ValidNDAC | 0x2 | The BusNDAC bit is valid.
ValidNRFD | 0x4 | The BusNRFD bit is valid.
ValidIFC | 0x8 | The BusIFC bit is valid.
ValidREN | 0x10 | The BusREN bit is valid.
ValidSRQ | 0x20 | The BusSRQ bit is valid.
ValidATN | 0x40 | The BusATN bit is valid.
ValidEOI | 0x80 | The BusEOI bit is valid.
BusDAV | 0x100 | Set/cleared if the DAV line is asserted/unasserted.
BusNDAC | 0x200 | Set/cleared if the NDAC line is asserted/unasserted.
BusNRFD | 0x400 | Set/cleared if the NRFD line is asserted/unasserted.
BusIFC | 0x800 | Set/cleared if the IFC line is asserted/unasserted.
BusREN | 0x1000 | Set/cleared if the REN line is asserted/unasserted.
BusSRQ | 0x2000 | Set/cleared if the SRQ line is asserted/unasserted.
BusATN | 0x4000 | Set/cleared if the ATN line is asserted/unasserted.
BusEOI | 0x8000 | Set/cleared if the EOI line is asserted/unasserted.

## Return value

The value of ibsta is returned.

Prev | Home | Next
ibist | Up | ibln